import { deleteTodoItem } from './service';

console.log(`-- list.js --`);
console.log(`imports service`);
/*
    create list item element
    we create a node with the todo title
*/
export const createTodoElement = item => {
    const todoElement = document.createElement('li');
    todoElement.id = item.id;

    todoElement.appendChild(document.createTextNode(item.title));

    todoElement.onclick = async event => await removeTodoElement(event, todoElement);
    return todoElement;
};


export const updateTodoList = todoItems => {
    // create the list
    const todoList = document.querySelector('ul');

    // look at our todoItems array, if its valid array...
    if (Array.isArray(todoItems) && todoItems.length > 0) {
        // we go through every todo item and append it to the todoList
        todoItems.map(todoItem => {
            todoList.appendChild(createTodoElement(todoItem));
        });

    } else if (todoItems) { // newly submitted ITEM to the server. we just append to our ul
        todoList.appendChild(createTodoElement(todoItems));
    }
};



export const removeTodoElement = async (event, element) => {
    event.target.parentElement.removeChild(element);
    const id = element.id;
  
    await deleteTodoItem(id);
};