
import Recorder from 'recorder-js';
 
const audioContext =  new (window.AudioContext || window.webkitAudioContext)();
 
const recorder = new Recorder(audioContext, {
  // An array of 255 Numbers
  // You can use this to visualize the audio stream
  // If you use react, check out react-wave-stream
  onAnalysed: data => {
    
    // console.log(data)
  }
}); 
 
let isRecording = false;
let myBlob = null;
 
navigator.mediaDevices.getUserMedia({audio: true})
  .then(stream => recorder.init(stream))
  .catch(err => console.log('Uh oh... unable to get stream...', err));
 
function startRecording() {
  recorder.start()
    .then(() => isRecording = true);
}
 
function stopRecording() {
  recorder.stop()
    .then(({blob, buffer}) => {
      myBlob = blob;
 
      var recordingsList = document.getElementById("recordingsList");
      var url = URL.createObjectURL(myBlob);
        var au = document.createElement('audio');
        au.controls = true;
        au.src = url;
        var li = document.createElement('li'); // create the list item
        li.appendChild(au); //add the new audio element to li
        li.appendChild(document.createTextNode(" "))//add a space in between
    
        //add the li element to the ol
        recordingsList.appendChild(li);

    });
}
 

var recordButton = document.getElementById("recordButton");
var stopButton = document.getElementById("stopButton");
recordButton.addEventListener("click", startRecording);
stopButton.addEventListener("click", stopRecording);


/*
import Recorder from 'recorder-js';
 
  console.log('-- recorder.js -- (no dependencies)');

  const audioContext = new (window.AudioContext || window.webkitAudioContext)();
  const recorder = new Recorder(audioContext, {
    // An array of 255 Numbers
    // You can use this to visualize the audio stream
    // If you use react, check out react-wave-stream
    onAnalysed: data => data, // MAKE SURE THIS IS RUNNING!
  });

  let isRecording = false;
  let gBlob = null;
    
  navigator.mediaDevices.getUserMedia({audio: true})
  .then(stream => recorder.init(stream))
  .catch(err => console.log('Uh oh... unable to get stream...', err));

      // function
  const startRecording = () => {
    console.log('startRecording');
    recorder.start().then(() => isRecording = true);
  }
     
    // function
  const stopRecording = () => {
      console.log('stopRecording')
    recorder.stop().then(({blob, buffer}) => {
        console.log('saveg the blob')
        gBlob = blob;      
        debugger
        var recordingsList = document.getElementById("recordingsList");
        var url = URL.createObjectURL(gBlob);
        var au = document.createElement('audio');
        au.controls = true;
        au.src = url;
        var li = document.createElement('li'); // create the list item
        li.appendChild(au); //add the new audio element to li
        li.appendChild(document.createTextNode(" "))//add a space in between
    
        //add the li element to the ol
        recordingsList.appendChild(li);
    });
  }

  var recordButton = document.getElementById("recordButton");
  var stopButton = document.getElementById("stopButton");
  recordButton.addEventListener("click", startRecording);
  stopButton.addEventListener("click", stopRecording);
  

  */