
import axios from 'axios';

console.log(`-- service.js -- (no dependencies)`);

const BASE_URL = 'https://jsonplaceholder.typicode.com';

export const getTodoItems = async () => {
  try {
    const response = await axios.get(`${BASE_URL}/todos?_limit=5`);

    const todoItems = response.data;

    console.log(`GET: Here's the list of todos`, todoItems);

    return todoItems;
  } catch (errors) {
    console.error(errors);
  }
};

export const addTodoItem = async todo => {
    try {
        // we add the user input item to the server
      const response = await axios.post(`${BASE_URL}/todos`, todo);
      const newTodoItem = response.data;
  
      console.log(`Added a new Todo!`, newTodoItem);
  
      return newTodoItem;
    } catch (errors) {
      console.error(errors);
    }
};



export const deleteTodoItem = async id => {
    try {
      const response = await axios.delete(`${BASE_URL}/todos/${id}`);
      console.log(`Deleted Todo ID: `, id);
  
      return response.data;
    } catch (errors) {
      console.error(errors);
    }
  };

